MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028748Open CASCADE[OCCT] OCCT:Data Exchangepublic2017-05-17 18:412017-09-29 16:25
Reporterdbv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.3.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028748: XCAFDoc_GraphNode does not restore child on Undo
DescriptionAfter removing a XCAFDoc_GraphNode link it does not restore it children on Undo properly.
Steps To Reproducepload ALL

ReadStep d as1-oc-214.stp
UndoLimit d 1
OpenCommand d
XUnSetLayer d 0:1:1:3 256
CommitCommand d
Undo d

set info [XGetLayerRefs d 0:1:3:1]
if { [regexp "0:1:1:3" $info] != 1 } {
    puts "Error: child not restored on Undo"
} else {
    puts "OK: child restored on Undo"
}
TagsNo tags attached.
Test case numberbugs xde bug28748
Attached Files? file icon as1-oc-214.stp (441,968 bytes) 2017-05-17 18:41

- Relationships

-  Notes
(0066223)
git (administrator)
2017-05-17 18:44

Branch CR28748 has been created by dbv.

SHA-1: 28a5bc74016e3f2dc37cdfbac91050b59140b8d1


Detailed log of new commits:

Author: dbv
Date: Wed May 17 18:43:59 2017 +0300

    0028748: XCAFDoc_GraphNode does not restore child on Undo
    
    Fixed calling Backup method. Now it called where data really changed.
(0066224)
dbv (developer)
2017-05-17 18:46

Dear Galina,

Could you please review a patch in branch CR28748?
(0066247)
gka (developer)
2017-05-18 11:20

Branch CR28748 ir ready to be tested.
(0066295)
git (administrator)
2017-05-18 18:37

Branch CR28748 has been updated forcibly by mkv.

SHA-1: 5f5b82782047ca2811edc1a01374fd299c9cfd3c
(0066423)
mkv (tester)
2017-05-22 19:01

Dear BugMaster,
Branch CR28748 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 5f5b82782047ca2811edc1a01374fd299c9cfd3c

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 64 (64 on master)
Windows: 0 (0 on master)
MacOS : 1187

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
http://occt-tests/CR28748-master-OCCT/Debian70-64/bugs/xde/bug28748.html [^]
http://occt-tests/CR28748-master-OCCT/Windows-64-VC10/bugs/xde/bug28748.html [^]
bugs xde bug28748: OK

Testing on Linux:
occt component :
Total MEMORY difference: 91690044 / 91624077 [+0.07%]
Total CPU difference: 18934.530000000257 / 18660.990000000344 [+1.47%]
products component :
Total MEMORY difference: 31342627 / 31347866 [-0.02%]
Total CPU difference: 5432.379999999968 / 5401.239999999972 [+0.58%]
Testing on Windows:
occt component :
Total MEMORY difference: 58430569 / 58426283 [+0.01%]
Total CPU difference: 18712.10154859869 / 17319.43382129878 [+8.04%]
products component :
Total MEMORY difference: 22719550 / 22681228 [+0.17%]
Total CPU difference: 5287.747495599972 / 5370.256424499971 [-1.54%]

There are no differences in images found by testdiff.
(0066424)
git (administrator)
2017-05-22 19:02

Branch CR28748 has been updated by mkv.

SHA-1: fe85d2141d1d93f829f78da92000ab0387e433ec


Detailed log of new commits:

Author: mkv
Date: Mon May 22 18:38:25 2017 +0300

    Test case for issue CR28748

(0066425)
mkv (tester)
2017-05-22 19:02

Dear BugMaster,
Branch CR28748 is TESTED.
(0066780)
git (administrator)
2017-05-29 16:06

Branch CR28748 has been deleted by kgv.

SHA-1: fe85d2141d1d93f829f78da92000ab0387e433ec

- Related Changesets
occt: master 9e6cdbca
Timestamp: 2017-05-17 15:43:59
Author: dbv
Committer: bugmaster
Details ] Diff ]
0028748: XCAFDoc_GraphNode does not restore child on Undo

Fixed calling Backup method. Now it called where data really changed.
mod - src/XCAFDoc/XCAFDoc_GraphNode.cxx Diff ] File ]
mod - src/XDEDRAW/XDEDRAW_Layers.cxx Diff ] File ]
add - tests/bugs/xde/bug28748 Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-05-17 18:41 dbv New Issue
2017-05-17 18:41 dbv Assigned To => gka
2017-05-17 18:41 dbv File Added: as1-oc-214.stp
2017-05-17 18:42 dbv Assigned To gka => dbv
2017-05-17 18:42 dbv Status new => assigned
2017-05-17 18:44 git Note Added: 0066223
2017-05-17 18:46 dbv Note Added: 0066224
2017-05-17 18:46 dbv Assigned To dbv => gka
2017-05-17 18:50 dbv Status assigned => resolved
2017-05-18 11:20 gka Note Added: 0066247
2017-05-18 11:20 gka Assigned To gka => bugmaster
2017-05-18 11:20 gka Status resolved => reviewed
2017-05-18 15:04 mkv Assigned To bugmaster => mkv
2017-05-18 18:37 git Note Added: 0066295
2017-05-22 19:01 mkv Note Added: 0066423
2017-05-22 19:02 git Note Added: 0066424
2017-05-22 19:02 mkv Note Added: 0066425
2017-05-22 19:02 mkv Assigned To mkv => bugmaster
2017-05-22 19:02 mkv Status reviewed => tested
2017-05-22 19:02 mkv Test case number => bugs xde bug28748
2017-05-26 14:28 bugmaster Changeset attached => occt master 9e6cdbca
2017-05-26 14:29 bugmaster Status tested => verified
2017-05-26 14:29 bugmaster Resolution open => fixed
2017-05-29 16:06 git Note Added: 0066780
2017-09-29 16:18 user533 Fixed in Version => 7.2.0
2017-09-29 16:25 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker